from django.test import TestCase
from django.core.urlresolvers import reverse
from symonitoring_model.models import Nagioslog, Host

class SimulatorViewTests(TestCase):
    fixtures = ['test_data.json']

    def test_simulator_view(self):
        response = self.client.get(reverse('simulator'))
        self.assertEqual(response.status_code, 200)
        self.assertContains(response, 'Service 2.1.3')

    def test_simulator_view_post(self):
        response = self.client.post(reverse('simulator'), {
            'host-4': 'on',
            'hostserviceinstance-14': 'on',
            'host-9': 'on',
            'state' : 'DOWN/CRITICAL',
            'state_type': 'HARD'
        })
        self.assertEqual(response.status_code, 200)
        host  = Host.objects.get(pk=4)
        entry = Nagioslog.objects.get(hostname=host.hostname)
        self.assertEqual(entry.checkcommand, 'check-host-alive')
